## tupi 0.2+git02

=== debian/changelog ===
tupi (0.2+git02-3build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 01:09:18 +0000

tupi (0.2+git02-3) unstable; urgency=low

  * Fixed directory to symlink upgrade in tupi-dbg (Closes: #715451).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Jul 2013 19:06:17 +1000

tupi (0.2+git02-2) unstable; urgency=low

  * Fixed directory to symlink upgrade in tupi-data "postinst".
  * Moved symlink to examples to -data package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 25 Jun 2013 22:20:03 +1000

tupi (0.2+git02-1) unstable; urgency=low

  * New upstream release [June 2013].
    + ready for "libav9" transition.
  * Build-Depends:
    + libquazip-dev
  * Packaging updates:
    + added ugly override for broken upstream libav detection;
      "pkg-config" is added to Build-Depends for that matter.
    + rules simplified as upstream introduced support for $(DESTDIR).
    + re-build translations after configure.
    + re-build/re-compress man page.
    + dropped all patches.
    + updated lintian-overrides, new overrides for
      "library-not-linked-against-libc" in private libs.
    + ship all icons and docs in -data package.
    + data de-duplication in -data package.
    + debian/watch to check for tags at github as well.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 23 Jun 2013 12:48:05 +1000
