## tupi 0.2+git04

=== debian/changelog ===
tupi (0.2+git04-2build3) utopic; urgency=medium

  * Rebuild against libquazip1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Sep 2014 11:11:54 +0100

tupi (0.2+git04-2build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:39:17 +0100

tupi (0.2+git04-2build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 30 May 2014 23:28:15 -0400

tupi (0.2+git04-2) unstable; urgency=low

  * Dropped "/usr/share/tupi/doc" symlink to fix binNMU (Closes: #748304);
    Thanks, Sebastian Ramacher.
  * Set tupi's arch as "linux-any" (Closes: #747832).
  * Removed unused-override.
  * "debian/clean": remove empty upstream changelog.
  * Install "/usr/share/doc/tupi/examples" symlink.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 May 2014 21:20:38 +1000

tupi (0.2+git04-1) unstable; urgency=low

  * New upstream release [April 2014].
  * Build-Depends:
    + qtmobility-dev
  * Dropped obsolete "libav10.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Apr 2014 21:39:57 +1000

tupi (0.2+git03-1) unstable; urgency=low

  * New upstream release [December 2013].
  * Standards to 3.9.5.
  * New patch to fix FTBFS with libav10 (Closes: #739429)
    Thanks, Sebastian Ramacher.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Mar 2014 18:12:25 +1100
