=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tupi
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), ruby (>= 4.9), perl, qt4-qmake, pkg-config
  ,imagemagick ,rdfind ,symlinks
  ,qt4-linguist-tools
+ ,qtmobility-dev
  ,libaspell-dev (>= 0.60.7~)
  ,libavformat-dev
  ,libavutil-dev
@@ -14,13 +14,13 @@
  ,libquazip-dev
  ,libtheora-dev
  ,zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.maefloresta.com/portal
 Vcs-Git: git://anonscm.debian.org/collab-maint/tupi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tupi.git
 
 Package: tupi
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, tupi-data (= ${source:Version})
 Replaces: ktoon
 Description: 2D Animation design and authoring tool
